> ## Documentation Index
> Fetch the complete documentation index at: https://docs.judit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Listar requisições criadas

> Esse endpoint consulta as requisições criadas, por parâmetros, de forma paginada.



## OpenAPI

````yaml GET /requests
openapi: 3.0.0
info:
  title: JUDIT - Requests API
  version: v1.62.0-rc-1
servers: []
security: []
paths:
  /requests:
    get:
      tags:
        - Requisições
      summary: Listar requisições
      description: |-
        Endpoint para listar as requisições já criadas. 

        Suporta filtros, ordenação e paginação através dos 

        parâmetros de consulta. 

        O retorno inclui os dados das requisições e informações 

        de paginação.
      parameters:
        - name: company_id
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: user_id
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: origin
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: origin_id
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: request_id
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: status
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: plan_config_type
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: ip
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: with_attachments
          in: query
          required: false
          schema:
            type: boolean
        - name: callback_url
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: judit_ia
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: responses_count_gte
          in: query
          required: false
          schema:
            type: number
        - name: responses_count_lte
          in: query
          required: false
          schema:
            type: number
        - name: filters_count_gte
          in: query
          required: false
          schema:
            type: number
        - name: filters_count_lte
          in: query
          required: false
          schema:
            type: number
        - name: search_type
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: search_key
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: response_type
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: lawsuit_instance
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 3
        - name: on_demand
          in: query
          required: false
          schema:
            type: boolean
        - name: full_lawsuit
          in: query
          required: false
          schema:
            type: boolean
        - name: should_search_branches
          in: query
          required: false
          schema:
            type: boolean
        - name: public_search
          in: query
          required: false
          schema:
            type: boolean
        - name: customer_key
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: side
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: tribunals
          in: query
          required: false
          schema:
            type: array
            items:
              type: string
        - name: tags
          in: query
          required: false
          schema:
            type: object
            additionalProperties:
              anyOf:
                - type: string
                - type: number
                - type: boolean
                - type: string
                  format: date-time
                - {}
        - name: created_at_gte
          in: query
          required: true
          schema:
            type: string
            format: date-time
        - name: created_at_lte
          in: query
          required: true
          schema:
            type: string
            format: date-time
        - name: updated_at_gte
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: updated_at_lte
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: started_at_gte
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: started_at_lte
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: cancelled_at_gte
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: cancelled_at_lte
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: completed_at_gte
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: completed_at_lte
          in: query
          required: false
          schema:
            type: string
            format: date-time
        - name: order
          in: query
          required: false
          schema:
            type: object
            additionalProperties:
              type: string
              enum:
                - asc
                - desc
        - name: page
          in: query
          required: true
          schema:
            default: 1
            type: number
            minimum: 1
        - name: page_size
          in: query
          required: true
          schema:
            default: 10
            type: number
            minimum: 5
            maximum: 100
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Requests.Response.Get'
        '401':
          description: Unauthorized - Missing or invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpUnauthorizedError'
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpForbiddenError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpInternalServerError'
      security:
        - jwtAuth: []
        - apiKeyAuth: []
components:
  schemas:
    Requests.Response.Get:
      type: object
      properties:
        page:
          type: number
        page_data:
          type: array
          items:
            type: object
            properties:
              request_id:
                type: string
              search:
                type: object
                properties:
                  on_demand:
                    type: boolean
                  search_type:
                    type: string
                    enum:
                      - cpf
                      - cnpj
                      - oab
                      - name
                      - rji
                      - lawsuit_cnj
                      - lawsuit_attachment
                      - execution_attachment
                      - custom
                  search_key:
                    type: string
                  response_type:
                    anyOf:
                      - type: string
                        enum:
                          - lawsuit
                      - type: string
                        enum:
                          - lawsuits
                      - type: string
                        enum:
                          - warrant
                          - execution
                      - type: string
                        enum:
                          - entity
                      - type: string
                        enum:
                          - sanction
                      - type: string
                        enum:
                          - communication
                  cache_ttl_in_days:
                    type: number
                  search_params:
                    type: object
                    properties:
                      full_lawsuit:
                        type: boolean
                      should_search_branches:
                        type: boolean
                      public_search:
                        type: boolean
                      lawsuit_instance:
                        type: number
                      attachment_id:
                        type: string
                      attachment_extension:
                        type: string
                      filter:
                        type: object
                        properties:
                          side:
                            type: string
                            enum:
                              - Passive
                              - Active
                              - Interested
                              - Unknown
                          party_names:
                            type: array
                            items:
                              type: string
                          party_documents:
                            type: array
                            items:
                              type: string
                          distribution_date_gte:
                            type: string
                            format: date-time
                          distribution_date_lte:
                            type: string
                            format: date-time
                          last_step_date_gte:
                            type: string
                            format: date-time
                          last_step_date_lte:
                            type: string
                            format: date-time
                          tribunals:
                            type: object
                            properties:
                              keys:
                                type: array
                                items:
                                  type: string
                              not_equal:
                                type: boolean
                            required:
                              - keys
                              - not_equal
                          classification_codes:
                            type: object
                            properties:
                              keys:
                                type: array
                                items:
                                  type: string
                              not_equal:
                                type: boolean
                            required:
                              - keys
                              - not_equal
                          classification_names:
                            type: object
                            properties:
                              keys:
                                type: array
                                items:
                                  type: string
                              not_equal:
                                type: boolean
                            required:
                              - keys
                              - not_equal
                          subject_codes:
                            type: object
                            properties:
                              contains:
                                type: array
                                items:
                                  type: string
                              not_contains:
                                type: array
                                items:
                                  type: string
                            required:
                              - contains
                              - not_contains
                          subject_names:
                            type: object
                            properties:
                              contains:
                                type: array
                                items:
                                  type: string
                              not_contains:
                                type: array
                                items:
                                  type: string
                            required:
                              - contains
                              - not_contains
                          amount_lte:
                            type: number
                          amount_gte:
                            type: number
                      pagination:
                        type: object
                        properties:
                          page:
                            type: number
                          page_size:
                            type: number
                      credential:
                        type: object
                        properties:
                          customer_key:
                            type: string
                required:
                  - search_type
                  - search_key
                  - search_params
              origin:
                type: string
                enum:
                  - api
                  - tracking
                  - dashboard
              origin_id:
                type: string
              company_id:
                type: string
              user_id:
                type: string
              status:
                type: string
                enum:
                  - pending
                  - started
                  - cancelling
                  - cancelled
                  - completed
              created_at:
                type: string
                format: date-time
              updated_at:
                type: string
                format: date-time
              started_at:
                type: string
                format: date-time
              cancelled_at:
                type: string
                format: date-time
              completed_at:
                type: string
                format: date-time
              deleted_at:
                type: string
                format: date-time
              with_attachments:
                type: boolean
              tags:
                type: object
                additionalProperties:
                  anyOf:
                    - type: string
                    - type: number
                    - type: boolean
                    - type: string
                      format: date-time
                    - {}
              source_name:
                type: string
              plan_config_type:
                type: string
                enum:
                  - datalake_lawsuit_search
                  - download_attachment
                  - download_full_lawsuit
                  - download_execution_attachment
                  - simple_lawsuit_search
                  - simple_lawsuit_search_with_summary
                  - complete_lawsuit_search
                  - complete_lawsuit_search_with_summary
                  - full_lawsuit_search
                  - full_lawsuit_search_with_summary
                  - simple_lawsuit_tracking
                  - simple_lawsuit_tracking_fixed_time
                  - complete_lawsuit_tracking
                  - complete_lawsuit_tracking_fixed_time
                  - full_lawsuit_tracking
                  - full_lawsuit_tracking_fixed_time
                  - simple_warrant_search
                  - complete_warrant_search
                  - simple_execution_search
                  - complete_execution_search
                  - binary_document_search
                  - count_document_search
                  - aggregate_document_search
                  - simple_document_search
                  - simple_document_search_with_summary
                  - complete_document_search
                  - complete_document_search_with_summary
                  - complete_document_search_on_demand
                  - complete_document_search_on_demand_with_summary
                  - document_tracking
                  - document_tracking_fixed_time
                  - public_document_tracking
                  - public_document_tracking_fixed_time
                  - custom_search
                  - custom_tracking
                  - custom_tracking_fixed_time
                  - communication_tracking
                  - entity_person_search
                  - entity_person_search_on_demand
                  - entity_person_name_search
                  - entity_person_name_search_on_demand
                  - entity_company_search
                  - entity_company_search_on_demand
                  - complete_company_search_with_branches
                  - complete_company_search_with_branches_on_demand
                  - sanctions_lists_search
                  - sync_complete_document_search
                  - error
              judit_ia:
                type: array
                items:
                  type: string
                  enum:
                    - summary
              cost:
                type: number
              callback_url:
                type: string
              responses_count:
                type: number
              filters_count:
                type: number
              is_unique_name:
                type: boolean
              ip:
                type: string
              trace_id:
                type: string
            required:
              - request_id
              - search
              - origin
              - origin_id
              - company_id
              - user_id
              - status
        page_count:
          type: number
        all_count:
          type: number
        all_pages_count:
          type: number
      required:
        - page
        - page_data
        - page_count
        - all_count
        - all_pages_count
    HttpUnauthorizedError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpUnauthorizedError
            message:
              type: string
              example: UNAUTHORIZED
            stack:
              type: string
            data:
              type: string
              example: User must be authenticated
    HttpForbiddenError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpForbiddenError
            message:
              type: string
              example: FORBIDDEN
            stack:
              type: string
            data:
              type: string
              example: Authenticated user is not authorized
    HttpInternalServerError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpInternalServerError
            message:
              type: string
              example: INTERNAL_SERVER_ERROR
            stack:
              type: string
            data:
              type: object
              example:
                message: Database connection failed
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Bearer token for authentication
    apiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      description: API key for authentication

````